Bug 122942 - Inserting shape over chart in DOCX inserts it below chart
Summary: Inserting shape over chart in DOCX inserts it below chart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2019-01-25 03:35 UTC by Aron Budea
Modified: 2019-03-28 13:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-01-25 03:35:12 UTC
- Open any DOCX file (eg. an empty one),
- Insert a chart,
- Click away to get out of chart editing,
- Select a shape for insertion, and insert it over the chart.

=> Shape is inserted below the chart.
When saved and reloaded, the shape overlaps the chart again.

If the file is ODT, or an unsaved empty document, the issue doesn't occur.

Observed using LO 6.3.0.0.alpha0+ (fdc91f7493171ae600ecb293ad380df5fa77a277), 5.2.0.4 / Ubuntu 18.04.
No issue with LO 5.1.0.3.
=> regression

Bibisected to the following commit using repo bibisect-linux-64-5.2. Same commit as for bug 109851 and for bug 113742, but the repro steps are different. Adding Cc: to Miklos Vajna, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=50223ea6e212b60b7d33839c2753c5601fb50f95
author		Miklos Vajna <vmiklos@collabora.co.uk>	2016-03-31 15:05:48 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-03-31 17:49:00 +0000

"tdf#98987 sw: add AddVerticalFrameOffsets compat mode"
Comment 1 Commit Notification 2019-01-28 18:16:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4218caf142a7ecac34548c6d38c6f6fbebb898b9%5E%21

tdf#122942 sw: update shape insert UI for the AddVerticalFrameOffsets option

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Xisco Faulí 2019-01-30 11:43:26 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: f1f84cf7fae3c777908cfc5357a067db731367ac
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this!!
Comment 3 Commit Notification 2019-03-28 13:38:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/099623ce41dde76e80f8559abcbb9e03f292d688%5E%21

tdf#122942 sw: update shape insert UI for the AddVerticalFrameOffsets option

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.